| Fast CDR Version 2.3.5 Fast CDR

Loading...
Searching...
No Matches
optional_storage< T, typename > Struct Template Reference

`#include <optional.hpp>`

## Public Member Functions

| optional_storage ()
| ~optional_storage ()

## Public Attributes

union { |
char dummy_ |
T val_ |
}; |
bool | engaged_ { false }

## Constructor & Destructor Documentation

## ◆ optional_storage()

template<class T, typename = void>

optional_storage | ( |  | ) |

inline

## ◆ ~optional_storage()

template<class T, typename = void>

~optional_storage | ( |  | ) |

inline

## Member Data Documentation

## ◆ [union]

union { ... }

## ◆ dummy_

template<class T, typename = void>

char dummy_

## ◆ engaged_

template<class T, typename = void>

bool engaged_ { false }

## ◆ val_

template<class T, typename = void>

T val_

The documentation for this struct was generated from the following file:

- include/fastcdr/xcdr/detail/optional.hpp